<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Navigation Drawer</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css"
        integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: sans-serif;
        }

        body {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background: #6843d1;
        }

        .container {
            position: relative;
            display: flex;
            align-items: center;
        }

        .navigation {
            width: 80px;
            height: 480px;
            background: #232323;
            border-radius: 10px;
            overflow: hidden;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
            transition: 0.5s;
        }

        .navigation.active {
            width: 300px;
        }

        .navigation ul {
            width: 100%;
        }

        .navigation ul li {
            list-style: none;
            width: 100%;
        }

        .navigation ul li:hover {
            background-color: rgb(3, 87, 87);
        }

        .navigation ul li a {
            display: flex;
            text-decoration: none;
            color: #fff;
            font-weight: 500;
        }

        .navigation ul li a .icon {
            min-width: 80px;
            height: 60px;
            line-height: 60px;
            text-align: center;
        }

        .navigation ul li a .icon i {
            font-size: 24px;
        }

        .navigation ul li a .title {
            height: 60px;
            line-height: 60px;
            white-space: nowrap;
        }

        .toggle {
            position: absolute;
            top:1%;
            left:50%;
            transform: translate(-50%, -50%); 
            width: 40px;
            height: 40px;
            background: #f5f5f5;
            cursor: pointer;
            border: 5px solid #6843d1;
            border-radius: 50%;
        }

        .toggle::before {
            content: '\f0da';
            font-family: 'Font Awesome 5 Free';
            font-weight: 900;
            display: block;
            text-align: center;
            line-height: 30px;
            font-size: 26px;
            color: #6843d1;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="navigation">
            <ul>
                <li>
                    <a href="#">
                        <span class="title"></span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-house-chimney"></i></span>
                        <span class="title">Home</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-user"></i></span>
                        <span class="title">Profile</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-comment"></i></span>
                        <span class="title">Message</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-circle-question"></i></span>
                        <span class="title">Help</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-gear"></i></span>
                        <span class="title">Setting</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-lock"></i></span>
                        <span class="title">Password</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa-solid fa-right-from-bracket"></i></span>
                        <span class="title">Sign out</span>
                    </a>
                </li>
            </ul>
        </div>
        <div class="toggle"></div>
    </div>

    <script>
        const navigation = document.querySelector('.navigation');
        const toggleBtn = document.querySelector('.toggle');
        toggleBtn.addEventListener("click", function () {
            navigation.classList.toggle('active');
        });
    </script>
</body>
</html>
